
.modal-overlay {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5); 
  z-index: 1;
  visibility: hidden;
  opacity: 0; 
  transition: opacity 0.3s ease;

  &.visible {
    visibility: visible;
    opacity: 1;
  }


  .modal-content {
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
    position: relative;
    z-index: 2;
    width: 500px;



    .modal-header{
    display: flex;
    justify-content: space-between;
    padding: 1rem;
    border-bottom: 1px solid gray;
    font-size: 18px;
    font-weight: 500;
    padding: 1rem 1.5rem;

    .close-button {
    cursor: pointer;
    width: 24px;
    height: 24px;
    font-size: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
    }
  }
  }
}
